Module java.desktop
Package javax.swing.plaf.basic

# Class BasicSliderUI.FocusHandler

java.lang.Object
javax.swing.plaf.basic.BasicSliderUI.FocusHandler

All Implemented Interfaces:
  `FocusListener`, `EventListener`

Enclosing class:
  BasicSliderUI

    public class BasicSliderUI.FocusHandler
    extends Object
    implements FocusListener

Focus-change listener.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FocusHandler()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.FocusListener

`focusGained, focusLost`

## Constructor Details

### FocusHandler

public FocusHandler()